Bug 113366 - CAN-2004-0055 CAN-2004-0057 Two issues found in tpcdump
CAN-2004-0055 CAN-2004-0057 Two issues found in tpcdump
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: tcpdump (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 04:27 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-15 05:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-01-13 04:27:31 EST
http://marc.theaimsgroup.com/?l=tcpdump-workers&m=107325073018070

Jonathan Heusser discovered two security bugs in tcpdump and reported
to the tcpdump-workers mailinglist.  The bugs have now been fixed in
the CVS version. 

This could allow remote attackers to cause a denial of service or
possibly execute arbitrary code as the 'pcap' user.
Comment 1 Mark J. Cox (Product Security) 2004-01-15 05:21:59 EST
More details:

Jonathan Heusser discovered an additional flaw in the ISAKMP decoding
routines for tcpdump 3.8.1 and earlier.  The Common Vulnerabilities
and Exposures project (cve.mitre.org) has assigned the name
CAN-2004-0057 to this issue.

Jonathan Heusser discovered a flaw in the print_attr_string function
in the RADIUS decoding routines for tcpdump 3.8.1 and earlier.  The
Common Vulnerabilities and Exposures project (cve.mitre.org) has
assigned the name CAN-2004-0055 to this issue.

CAN-2004-0055/7 Affects: 2.1AS 2.1WS 2.1AW 2.1ES
CAN-2004-0055/7 Affects: 3AS 3ES 3WS
Comment 2 Mark J. Cox (Product Security) 2004-01-15 05:30:54 EST
Fixed by RHSA-2004:008

Note You need to log in before you can comment on or make changes to this bug.